<?php
#################################################################
#        _  _ ___ _____ _   ___ ___    ___ _  _ ___ ___ _  __   #
#       | \| | __|_   _/_\ | _ \ _ \  / __| || | __/ __| |/ /   #
#       | .` | _|  | |/ _ \|  _/  _/ | (__| __ | _| (__| ' <    #
#       |_|\_|___| |_/_/ \_\_| |_|    \___|_||_|___\___|_|\_\   #
#---------------------------------------------------------------#
# Author: Benjamin Odenthal                                     #
# Contact: support@tuxclouds.org                                #
# File: check_mk-netapp_fans.php		                #               
# Version: 1.0                                                  #
# Revision: 14.Oct.2010                                         #
# Description: PNP4NAGIOS Template for the check netapp_fans    #
#################################################################

$opt[1] = "--vertical-label 'Fans' -l0 -u10 --title \"Number of Failed Fans of $hostname\" ";

$def[1] = "DEF:fansdefect=$RRDFILE[1]:$DS[1]:MAX ";
$def[1] .= "AREA:fansdefect#60f020:\"FANS failed\" ";
$def[1] .= "LINE:fansdefect#40d010 ";
$def[1] .= "HRULE:$WARN[1]#FFFF00 ";
$def[1] .= "HRULE:$CRIT[1]#FF0000 ";
?>
